MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024357Community[OCCT] OCCT:Modeling Algorithmspublic2013-11-13 19:062016-04-20 15:48
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024357: BRepBuilderAPI_Sewing returns result with too high tolerance
DescriptionThe following sewing operation results in a shell with too high tolerance in OCCT 6.5.4 and 6.7.0 beta. Other versions were not tested.
 
The resulting tolerance is
MAX=6.1043525907116027
but should be much smaller.
Steps To Reproducerestore faces.brep f
whatis f
tolerance f
sewing r 0.2 f
whatis r
tolerance r
TagsNo tags attached.
Test case numberbugs modalg_6 bug24357
Attached Fileszip file icon faces.zip (536,663 bytes) 2013-11-13 19:06

- Relationships
related to 0024174closedbugmaster Community [regression] BRepBuilderAPI_Sewing returns result with very high tolerance 
parent of 0026239closedbugmaster Open CASCADE Exception is raised in BSplCLib::BuildBSpMatrix() during performing of sewing 

-  Notes
(0033910)
Timo (developer)
2014-10-30 19:27
edited on: 2015-04-29 15:12

Same behaviour in OCCT 6.8.0 beta and 6.9.0 beta.

(0040853)
git (administrator)
2015-05-13 15:02

Branch CR24357 has been created by gka.

SHA-1: 4cd7b3e981bbe6b823f35963048e8dcf73794f54


Detailed log of new commits:

Author: gka
Date: Wed May 13 15:01:11 2015 +0300

    0024357: BRepBuilderAPI_Sewing returns result with too high tolerance.
    
    In method Approx_SameParameter::Build() for case when 2D and 3D curves is not same parameter calculation of maximal deviation is modified by following way :
    Projection is considered as done only if parameter projected point falls within the current interval of parameters.
(0040854)
gka (developer)
2015-05-13 15:03

Branch CR24357 is ready to be reviewed.
(0040880)
msv (developer)
2015-05-14 10:59

Reviewed.
(0041215)
mkv (tester)
2015-05-15 20:37

Dear BugMaster,
Branch CR24357 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4cd7b3e981bbe6b823f35963048e8dcf73794f54

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/summary.html [^]
http://occt-tests/CR24357-master-occt-64/Debian60-64/summary.html [^]
bugs modalg_5 bug24174_2
de iges_2 D4
draft angle G8
heal split_angle_advanced W7
sewing tol_100 T8, U1
http://occt-tests/CR24357-master-products-64/Debian60-64/summary.html [^]
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/summary.html [^]
parasolid doc_1 A3
sat doc_1 A9, C7, D2, F1
sat doc_6 I1
sat load B9, C4
sat simple B9

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 95388873 / 95486553 [-0.10%]
Total CPU difference: 51730.28999999923 / 51776.39999999938 [-0.09%]
products component :
Total MEMORY difference: 23680038 / 23759613 [-0.33%]
Total CPU difference: 16789.269999999982 / 16097.469999999974 [+4.30%]

Testing on Windows:
occt component :
Total MEMORY difference: 59041263 / 59072683 [-0.05%]
Total CPU difference: 16991.909721799013 / 17050.254095798864 [-0.34%]
products component :
Total MEMORY difference: 15530517 / 15535200 [-0.03%]
Total CPU difference: 6510.264932199994 / 6405.9314633999875 [+1.63%]

There are no differences in images found by testdiff.
(0041293)
git (administrator)
2015-05-19 18:25

Branch CR24357 has been updated by gka.

SHA-1: dfb2c6b61f8a149b88a25797629f82b7ff900ff9


Detailed log of new commits:

Author: gka
Date: Tue May 19 18:25:22 2015 +0300

    0024357: BRepBuilderAPI_Sewing returns result with too high tolerance
    
    In the Approx_SameParameter considering tolerance after static method ProjectPointOnCurve was added.
    In BRepAlgoAPI_Sewing catch of exception was added and computation of tolerance of edge if same parameter was changed in according to check in BRepCheck_Analyzer

(0041294)
gka (developer)
2015-05-19 18:26

Branch CR24357 is ready to be reviewed
(0041303)
msv (developer)
2015-05-20 11:36

Reviewed.
(0041309)
git (administrator)
2015-05-20 12:40

Branch CR24357 has been updated forcibly by mkv.

SHA-1: 59bbd28f10ff47863121c0263a2b6d31fb51efc0
(0041340)
mkv (tester)
2015-05-20 20:37

Dear BugMaster,
Branch CR24357 was rebased on current master of occt git-repository.
SHA-1: 59bbd28f10ff47863121c0263a2b6d31fb51efc0
(0041341)
mkv (tester)
2015-05-20 20:38
edited on: 2015-05-21 11:40

Dear BugMaster,
Branch CR24357 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 59bbd28f10ff47863121c0263a2b6d31fb51efc0

Number of compiler warnings:

occt component :
Linux: 26
Windows: 0 (0 on master)

products component :
Linux: 37
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR24357-master_build_occt_linux/1/warnings17Result/package.-534312443/ [^]
Approx_SameParameter.cxx:388, GNU C Compiler 4 (gcc), Priority: Normal
unused variable 'Tolp' [-Wunused-variable]

http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR24357-master_build_occt_windows_64/1/warnings34Result/ [^]
Approx_SameParameter.cxx:388, MSBuild, Priority: Normal
'Tolp' : local variable is initialized but not referenced

Regressions/Differences:
http://occt-tests/CR24357-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/summary.html [^]
Improvements:
  heal split_angle_advanced Y4
Failed:
  bugs modalg_2 bug22770_13, bug22770_15
  de iges_1 L8, O3
  de step_2 T9
  heal split_angle_advanced W7, W9, Z1
  sewing tol_100 T8

http://occt-tests/CR24357-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/summary.html [^]
Failed:
  dxf doc_1 K4
  sat doc_1 C7, D2
  sat doc_6 I1, I4
  sat load B9, C4
  sat simple B9

Testing cases:
http://occt-tests/CR24357-master-occt-64/Debian70-64/bugs/modalg_6/bug24357.html [^]
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug24357.html [^]
bugs modalg_6 bug24357: OK

Testing on Linux:
occt component :
Total MEMORY difference: 99892834 / 99941489 [-0.05%]
Total CPU difference: 19066.220000000114 / 19332.630000000176 [-1.38%]
products component :

Testing on Windows:
occt component :
Total MEMORY difference: 59003553 / 59142723 [-0.24%]
Total CPU difference: 17040.316832098964 / 16961.08392419895 [+0.47%]
products component :
Total MEMORY difference: 15566638 / 15571186 [-0.03%]
Total CPU difference: 6523.213015199979 / 6538.267111699987 [-0.23%]

There are no differences in images found by testdiff.

(0041342)
git (administrator)
2015-05-20 20:38

Branch CR24357 has been updated by mkv.

SHA-1: 97af409028940bc4e2ac1da61df3dbb8093f75d0


Detailed log of new commits:

Author: mkv
Date: Wed May 20 20:37:57 2015 +0300

    Test case for issue CR24357

(0041343)
mkv (tester)
2015-05-20 20:38

Dear gka,
could you please review following test case
bugs modalg_6 bug24357
(0041354)
gka (developer)
2015-05-21 11:19

It is desirable to make check that computed tolerance is not greater than reference value.
(0041708)
git (administrator)
2015-05-29 11:42

Branch CR24357 has been updated by gka.

SHA-1: 5350aaa987507663a4df54f47dbf36cc4ead8de4


Detailed log of new commits:

Author: gka
Date: Thu May 28 12:02:39 2015 +0300

    Modification in order to avoid warning

Author: gka
Date: Tue May 19 18:25:22 2015 +0300

    0024357: BRepBuilderAPI_Sewing returns result with too high tolerance
    
    In the Approx_SameParameter considering tolerance after static method ProjectPointOnCurve was added.
    In BRepAlgoAPI_Sewing catch of exception was added and computation of tolerance of edge if same parameter was changed in according to check in BRepCheck_Analyzer

Author: gka
Date: Wed May 13 15:01:11 2015 +0300

    0024357: BRepBuilderAPI_Sewing returns result with too high tolerance.
    
    In method Approx_SameParameter::Build() for case when 2D and 3D curves is not same parameter calculation of maximal deviation is modified by following way :
    Projection is considered as done only if parameter projected point falls within the current interval of parameters.

(0041747)
gka (developer)
2015-05-29 16:17
edited on: 2015-05-29 16:54

Analysis of the differences in the current branch with reference branches:

For occt component:
 Following cases are improvements:
   bugs modalg_2 bug22770_13, bug22770_15
   de iges_1 L8, O3
   heal split_angle_advanced Z1
   sewing tol_100 T8 - tolerance was decreased

 Following cases are bad:
   de step_2 T9 - having big value of tolerance in the reference branch and in the branch CR24357
   draft angle G8 - this case is not performed in reference branch for Debian 64-bit

 Following cases are not regression but differences:
   de iges_1 L8, O3
   heal split_angle_advanced W7, W9:
    (Quantity of faulty is increased in branch CR24357
    because tolerance of edges were decreased.
    After using "fixshape" number of faulty is the same
    as in the reference branch)

For products component:
 
  Following cases are improvements:
   sat doc_6 I1, I4

  Following cases are differences:
   dxf doc_1 K4
   sat doc_1 C7, D2
   sat load B9, C4
   sat simple B9

Could you please update test cases in according to state in this branch.

(0041760)
msv (developer)
2015-05-29 19:14

Reviewed.

Dear Galina, please squash the branch into one commit with a proper comment, and rebase it on master.
(0041819)
git (administrator)
2015-06-01 20:47

Branch CR24357 has been updated forcibly by mkv.

SHA-1: 9e5cafde43a34043ebc378adb77f22adb2048c04
(0041860)
mkv (tester)
2015-06-02 17:19

Dear BugMaster,
Branch CR24357 was rebased on current master of occt git-repository.
SHA-1: 9e5cafde43a34043ebc378adb77f22adb2048c04
(0041861)
mkv (tester)
2015-06-02 17:21

Dear BugMaster,
Branch CR24357 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9e5cafde43a34043ebc378adb77f22adb2048c04

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:

Improvements:
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/heal/split_angle_advanced/Y4.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/heal/split_angle_advanced/Y4.html [^]
  heal split_angle_advanced Y4 - test case will be corrected
Failed:
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/bugs/mesh/bug25378_1_2.html [^]
  bugs mesh bug25378_1_2 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/bugs/modalg_2/bug22770_13.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/bugs/modalg_2/bug22770_13.html [^]
  bugs modalg_2 bug22770_13 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/bugs/modalg_2/bug22770_15.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/bugs/modalg_2/bug22770_15.html [^]
  bugs modalg_2 bug22770_15 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/de/iges_1/O3.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/de/iges_1/O3.html [^]
  de iges_1 O3 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/de/step_2/S1.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/de/step_2/S1.html [^]
  de step_2 S1
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/de/step_2/T9.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/de/step_2/T9.html [^]
  de step_2 T9
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/draft/angle/G8.html [^]
  draft angle G8
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/heal/split_angle_advanced/W7.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/heal/split_angle_advanced/W7.html [^]
  heal split_angle_advanced W7 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/heal/split_angle_advanced/W9.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/heal/split_angle_advanced/W9.html [^]
  heal split_angle_advanced W9 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/heal/split_angle_advanced/Z1.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/heal/split_angle_advanced/Z1.html [^]
  heal split_angle_advanced Z1 - test case will be corrected
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/sewing/tol_100/T8.html [^]
http://occt-tests/CR24357-master-occt-64/Debian70-64/sewing/tol_100/T8.html [^]
  sewing tol_100 T8 - test case will be corrected


Failed:
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/dxf/doc_1/K4.html [^]
http://occt-tests/CR24357-master-products-64/Debian70-64/dxf/doc_1/K4.html [^]
  dxf doc_1 K4 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/doc_1/C7.html [^]
  sat doc_1 C7 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/doc_1/D2.html [^]
http://occt-tests/CR24357-master-products-64/Debian70-64/sat/doc_1/D2.html [^]
  sat doc_1 D2 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/doc_6/I1.html [^]
http://occt-tests/CR24357-master-products-64/Debian70-64/sat/doc_6/I1.html [^]
  sat doc_6 I1 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/doc_6/I4.html [^]
http://occt-tests/CR24357-master-products-64/Debian70-64/sat/doc_6/I4.html [^]
  sat doc_6 I4 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/load/B9.html [^]
  sat load B9 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/load/C4.html [^]
http://occt-tests/CR24357-master-products-64/Debian70-64/sat/load/C4.html [^]
  sat load C4 - test case will be corrected
http://occt-tests/CR24357-master-products-64/Windows-64-VC10/sat/simple/B9.html [^]
  sat simple B9 - test case will be corrected

Testing cases:
http://occt-tests/CR24357-master-occt-64/Debian70-64/bugs/modalg_6/bug24357.html [^]
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug24357.html [^]
bugs modalg_6 bug24357: OK

Testing on Linux:
occt component :
Total MEMORY difference: 97518183 / 98121594 [-0.61%]
Total CPU difference: 18505.630000000176 / 18537.960000000065 [-0.17%]
products component :
Total MEMORY difference: 23874536 / 23984713 [-0.46%]
Total CPU difference: 7837.860000000025 / 7816.390000000022 [+0.27%]

Testing on Windows:
occt component :
http://occt-tests/CR24357-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
CPU heal split_continuity_advanced X1: 2.0124129 / 1.3260085 [+51.76%]
CPU heal split_continuity_advanced Z9: 2.1996141 / 1.1856076 [+85.53%]
CPU heal split_continuity_advanced Z8: 1.9812127 / 1.2636081 [+56.79%]
CPU heal split_continuity_advanced V8: 1.2168078 / 0.624004 [+95.00%]
CPU heal split_angle_advanced Z9: 2.5428163 / 1.5444099 [+64.65%]

Total MEMORY difference: 57435963 / 57478280 [-0.07%]
Total CPU difference: 17144.946702799014 / 17408.135989898812 [-1.51%]
products component :
Total MEMORY difference: 15304249 / 15308896 [-0.03%]
Total CPU difference: 6171.040757699976 / 6225.095104199968 [-0.87%]

There are no differences in images found by testdiff.
(0041863)
gka (developer)
2015-06-02 17:44

Test cases:
  de step_2 S1,
  de step_2 T9,
  draft angle G8

are not regressions.
(0041868)
git (administrator)
2015-06-02 20:35

Branch CR24357 has been updated by mkv.

SHA-1: 51196a1d9586bdf9cf77311107778441f3de715b


Detailed log of new commits:

Author: mkv
Date: Tue Jun 2 20:35:19 2015 +0300

    Correction ot test case for issue CR24357

(0041869)
mkv (tester)
2015-06-02 20:48

Dear BugMaster,
Branch CR24357 is TESTED.
(0041870)
mkv (tester)
2015-06-02 20:49

Dear BugMaster,
following test cases are corrected and pushed to branch CR24357 of occt git-repository
bugs mesh bug25378_1_2
bugs modalg_2 bug22770_13, bug22770_15
de iges_1 O3
de step_2 S1, T9
draft angle G8
heal split_angle_advanced W7, W9, Y4, Z1
sewing tol_100 T8
(0041871)
mkv (tester)
2015-06-02 20:49

Dear BugMaster,
following test cases are corrected and pushed to new branch CR24357-Products of products git-repository
dxf doc_1 K4
sat doc_1 C7, D2
sat doc_6 I1, I4
sat load B9 C4
sat simple B9
(0044243)
git (administrator)
2015-08-14 10:59

Branch CR24357 has been deleted by inv.

SHA-1: 51196a1d9586bdf9cf77311107778441f3de715b

- Related Changesets
occt: master 2a739b6d
Timestamp: 2015-06-04 11:22:33
Author: gka
Committer: bugmaster
Details ] Diff ]
0024357: BRepBuilderAPI_Sewing returns result with too high tolerance.

In method Approx_SameParameter::Build() for case when 2D and 3D curves is not same parameter calculation of maximal deviation is modified by following way :

Projection is considered as done only if parameter projected point falls within the current interval of parameters.

In the Approx_SameParameter considering tolerance after static method ProjectPointOnCurve was added.

In BRepAlgoAPI_Sewing catch of exception was added and computation of tolerance of edge if same parameter was changed in according to check in BRepCheck_Analyzer

In method Approx_SameParameter::Build() for case when 2D and 3D curves is not same parameter calculation of maximal deviation is modified by following way :

Modification in order to avoid warning

Test case for issue CR24357
mod - src/Approx/Approx_SameParameter.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - tests/bugs/mesh/bug25378_1_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_13 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_15 Diff ] File ]
add - tests/bugs/modalg_6/bug24357 Diff ] File ]
mod - tests/draft/angle/G8 Diff ] File ]
mod - tests/heal/data/advanced/W7 Diff ] File ]
mod - tests/heal/data/advanced/W9 Diff ] File ]
mod - tests/heal/data/advanced/Y4 Diff ] File ]
mod - tests/heal/data/advanced/Z1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-13 19:06 Timo New Issue
2013-11-13 19:06 Timo Assigned To => ifv
2013-11-13 19:06 Timo File Added: faces.zip
2013-11-13 19:06 Timo Issue generated from: 0024174
2013-11-13 19:06 Timo Relationship added related to 0024174
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 19:01 abv Target Version 6.7.1 => 6.8.0
2014-09-26 11:29 abv Target Version 6.8.0 => 7.1.0
2014-10-30 19:27 Timo Note Added: 0033910
2015-04-29 15:12 Timo Note Edited: 0033910 View Revisions
2015-05-13 15:02 git Note Added: 0040853
2015-05-13 15:03 gka Note Added: 0040854
2015-05-13 15:03 gka Assigned To ifv => msv
2015-05-13 15:03 gka Status new => resolved
2015-05-14 10:59 msv Note Added: 0040880
2015-05-14 10:59 msv Assigned To msv => bugmaster
2015-05-14 10:59 msv Status resolved => reviewed
2015-05-14 11:49 mkv Assigned To bugmaster => mkv
2015-05-15 20:37 mkv Note Added: 0041215
2015-05-15 20:37 mkv Assigned To mkv => gka
2015-05-15 20:37 mkv Status reviewed => assigned
2015-05-19 18:25 git Note Added: 0041293
2015-05-19 18:26 gka Note Added: 0041294
2015-05-19 18:26 gka Assigned To gka => msv
2015-05-19 18:26 gka Status assigned => resolved
2015-05-19 18:40 gka Relationship added parent of 0026239
2015-05-20 11:36 msv Note Added: 0041303
2015-05-20 11:36 msv Assigned To msv => bugmaster
2015-05-20 11:36 msv Status resolved => reviewed
2015-05-20 12:30 mkv Assigned To bugmaster => mkv
2015-05-20 12:40 git Note Added: 0041309
2015-05-20 20:37 mkv Note Added: 0041340
2015-05-20 20:37 mkv Assigned To mkv => gka
2015-05-20 20:37 mkv Status reviewed => assigned
2015-05-20 20:38 mkv Note Added: 0041341
2015-05-20 20:38 git Note Added: 0041342
2015-05-20 20:38 mkv Note Added: 0041343
2015-05-20 20:39 mkv Test case number => bugs modalg_6 bug24357
2015-05-21 11:11 gka Assigned To gka => msv
2015-05-21 11:11 gka Status assigned => resolved
2015-05-21 11:19 gka Note Added: 0041354
2015-05-21 11:19 gka Assigned To msv => bugmaster
2015-05-21 11:19 gka Status resolved => reviewed
2015-05-21 11:40 mkv Note Edited: 0041341 View Revisions
2015-05-21 11:43 mkv Assigned To bugmaster => gka
2015-05-21 11:43 mkv Status reviewed => feedback
2015-05-26 15:51 gka Status feedback => assigned
2015-05-29 11:42 git Note Added: 0041708
2015-05-29 16:17 gka Note Added: 0041747
2015-05-29 16:42 gka Note Edited: 0041747 View Revisions
2015-05-29 16:54 gka Note Edited: 0041747 View Revisions
2015-05-29 16:54 gka Note Edited: 0041747 View Revisions
2015-05-29 18:36 gka Assigned To gka => msv
2015-05-29 18:36 gka Status assigned => resolved
2015-05-29 19:14 msv Note Added: 0041760
2015-05-29 19:14 msv Assigned To msv => gka
2015-05-29 19:14 msv Status resolved => reviewed
2015-06-01 20:47 git Note Added: 0041819
2015-06-01 21:04 mkv Assigned To gka => mkv
2015-06-02 17:19 mkv Note Added: 0041860
2015-06-02 17:21 mkv Note Added: 0041861
2015-06-02 17:21 mkv Assigned To mkv => gka
2015-06-02 17:21 mkv Status reviewed => assigned
2015-06-02 17:44 gka Note Added: 0041863
2015-06-02 20:35 git Note Added: 0041868
2015-06-02 20:48 mkv Note Added: 0041869
2015-06-02 20:48 mkv Assigned To gka => bugmaster
2015-06-02 20:48 mkv Status assigned => feedback
2015-06-02 20:49 mkv Note Added: 0041870
2015-06-02 20:49 mkv Status feedback => tested
2015-06-02 20:49 mkv Note Added: 0041871
2015-06-05 15:00 bugmaster Changeset attached => occt master 2a739b6d
2015-06-05 15:00 bugmaster Status tested => verified
2015-06-05 15:00 bugmaster Resolution open => fixed
2015-06-08 12:32 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:59 git Note Added: 0044243
2016-04-20 15:44 user533 Fixed in Version => 7.0.0
2016-04-20 15:48 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker